Appearance
POST
/config/currency/exchange-rates/{sourceCurrencyCode}/{targetCurrencyCode}Required scope:
exchangerate:createAdds an exchange rate to a currency pair, which creates the pair if it has no rates. A rate is valid from its start date until the next rate of the pair starts, or forever if no later rate exists, so rates of a pair never overlap and leave no gaps. The stored end dates of the pair are recomputed. A rate on the reverse currency pair (target to source) suppresses the derived inverse rates of this pair in the exchange rate cache. Refreshes the exchange rate cache.
Parameters ​
Path parameters
sourceCurrencyCode stringThe three letter ISO code of the source currency. Case-insensitive.
targetCurrencyCode stringThe three letter ISO code of the target currency. Case-insensitive.
Request body ​
JSON
{
"startDate": "2026-02-01",
"rate": 11.3
}
Response ​
The exchange rate was added successfully.
JSON
{
"sourceCurrencyCode": "EUR",
"targetCurrencyCode": "SEK",
"startDate": "2026-02-01"
}
| Error code | Description |
|---|---|
currency-not-found | The source currency or the target currency was not found. |
exchange-rate-date-out-of-range | The start date is before 1900-01-02 or after 9998-12-31. The error data has the minDate and maxDate. |
exchange-rate-must-be-positive | The rate must be a positive number. |
exchange-rate-out-of-range | The rate is below 0.000001 or above 1000000000000. The error data has the minRate and maxRate. |
exchange-rate-same-currency | The source currency cannot be the same as the target currency. |
exchange-rate-start-date-in-use | Another exchange rate of the currency pair has the same start date. |
exchange-rate-start-date-required | The start date is required. |